Sysinternals Homepage
Forum Home Forum Home > Sysinternals Utilities > BgInfo
  New Posts New Posts RSS Feed - bginfo expects a newer version of windows (win 98)
  FAQ FAQ  Forum Search   Events   Register Register  Login Login

bginfo expects a newer version of windows (win 98)

 Post Reply Post Reply
Author
Message
dwebster View Drop Down
Newbie
Newbie


Joined: 26 June 2008
Status: Offline
Points: 2
Post Options Post Options   Thanks (0) Thanks(0)   Quote dwebster Quote  Post ReplyReply Direct Link To This Post Topic: bginfo expects a newer version of windows (win 98)
    Posted: 26 June 2008 at 2:39am
Hi all,
I have just rolled out bginfo to all of our users by dropping it in their login script.
All is working fine except for the error message I am getting on Windows 98 machines;
bginfo.exe expects a newer version of windows

Whereas from what I can tell bginfo supports win 95 onwards.

I am running version 4.13

any ideas please?
Back to Top
Karlchen View Drop Down
Senior Member
Senior Member
Avatar

Joined: 18 June 2005
Location: Germany
Status: Offline
Points: 5156
Post Options Post Options   Thanks (0) Thanks(0)   Quote Karlchen Quote  Post ReplyReply Direct Link To This Post Posted: 26 June 2008 at 3:30am
Hello, dwebster.

Telling from this thread, Doesn't work on Windows 9x/ME, and from the threads which it references, I am afraid that the latest version of BGInfo has been compiled and linked using Visual Studio 2008 (as have been Autoruns and Process Explorer e.g.). This very very likely means: Game over for users of Win9x/WinME/WinNT.

The section "Works On" on the BGinfo webpage may need to be corrected accordingly.

Regards,
Karl
Back to Top
dwebster View Drop Down
Newbie
Newbie


Joined: 26 June 2008
Status: Offline
Points: 2
Post Options Post Options   Thanks (0) Thanks(0)   Quote dwebster Quote  Post ReplyReply Direct Link To This Post Posted: 26 June 2008 at 4:00am
thanks Karl,

I promise I did search the forums, but didn't come up with this one.

So I have tried to follow those discussions to try and work out which version of bginfo will work with 98 etc but got a bit lost...
Back to Top
Karlchen View Drop Down
Senior Member
Senior Member
Avatar

Joined: 18 June 2005
Location: Germany
Status: Offline
Points: 5156
Post Options Post Options   Thanks (0) Thanks(0)   Quote Karlchen Quote  Post ReplyReply Direct Link To This Post Posted: 26 June 2008 at 4:18am
Hello, dwebster.

The threads which I pointed you to do not mention BGInfo, because they were about Process Explorer or Autoruns. Yet, these two programmes stopped working on Win9x/WinME/WinNT, when the developers switched to using Visual Studio 2008. Therefore I am pretty sure BGInfo v4.13 has been developed using VS2008, too, and will therefore no longer run on any platform older than Win2KSP4.

To be honest I cannot tell you if the previous version, BGInfo v4.12, worked on Win9x/ME/NT. As there were no complaints saying it did not work one may conclude that BGInfo v4.12 was the last version which supported Win9x/ME/NT.

Karl
Back to Top
molotov View Drop Down
Moderator Group
Moderator Group
Avatar

Joined: 04 October 2006
Status: Offline
Points: 17531
Post Options Post Options   Thanks (0) Thanks(0)   Quote molotov Quote  Post ReplyReply Direct Link To This Post Posted: 26 June 2008 at 4:31am
Quote Therefore I am pretty sure BGInfo v4.13 has been developed using VS2008
Yes, this appears to be the case (bginfo.exe v4.13.0.0 w/ linker version 9.0 and OS/Subsystem version 5.0).
Daily affirmation:
net helpmsg 4006
Back to Top
pentacle View Drop Down
Newbie
Newbie
Avatar

Joined: 04 March 2017
Location: France
Status: Offline
Points: 1
Post Options Post Options   Thanks (0) Thanks(0)   Quote pentacle Quote  Post ReplyReply Direct Link To This Post Posted: 04 March 2017 at 4:15pm
You can use bginfo 2.0 that is compatible with windows 98



zebulon
Back to Top
bobtrie View Drop Down
Senior Member
Senior Member
Avatar

Joined: 03 May 2006
Location: United States
Status: Offline
Points: 229
Post Options Post Options   Thanks (0) Thanks(0)   Quote bobtrie Quote  Post ReplyReply Direct Link To This Post Posted: 20 March 2017 at 3:32pm
Pentacle.... this post is from 2008, I hope they would have worked around the issue by now =)
Back to Top
 Post Reply Post Reply
  Share Topic   

Forum Jump Forum Permissions View Drop Down

Forum Software by Web Wiz Forums® version 11.06
Copyright ©2001-2016 Web Wiz Ltd.